function OnWarpEnter() 
	SetMarker("cs\\Warp_0009.wp", 0 , 0) 
	SetMarker("cs\\Warp_0012.wp", 0 , 0) 
	SetMarker("cs\\Warp_0014.wp", 0 , 0) 
	SetMarker("cs\\Warp_0026.wp", 0 , 0) 

	StartAnimation("bva1",-1)
------------------------------------------------------------------------ W12
	AnimationSetToStart("bla1")
	AnimationSetToStart("bna1")
	StartAnimationPart("boa1", 60, 89, -1, false)
------------------------------------------------------------------------ 

	if ETAT_DAY == "D1" then 
		StartAnimation("baa1")
	end 

--DAY2
	if ETAT_DAY == "D2" then 
		if not CastleVisited then
			-- Nostradamus dans le lit
			AnimationSetToEnd("bba1")
			-- couverture
			AnimationSetToEnd("bda1",false)	
		elseif BeenIn_071 and not BeenIn_012 then
			-- Nostradamus à son bureau
			StartAnimationPart("bza1",0,30,-1,true)
		end

	end 

	if ETAT_DAY == "D3" then 
		--Nostradamus dans le lit
		StartAnimationPart("bba1",210,240,-1,false)
		-- couverture
		AnimationSetToEnd("bda1",false)	

	end 
	if ETAT_DAY == "D4" then 
		StartAnimation("bza1")
	end 
	if ETAT_DAY == "D5" then 
		StartAnimation("bza1")
	end 
end

function OnWarpLeave()
end

function OnWarpObjectHit(objectName)

	if objectName == "3D\\cs\\Warp_0009.wp" then 
		ChangeWarp(objectName)
	end

	if objectName == "3D\\cs\\Warp_0012.wp" then 
		ChangeWarp(objectName)
	end

	if objectName == "3D\\cs\\Warp_0014.wp" then 
		ChangeWarp(objectName)
	end

	if objectName == "3D\\cs\\Warp_0026.wp" then 
		ChangeWarp(objectName)
	end

	if ETAT_DAY == "D1" then 
		if objectName == "bya1" then

		elseif objectName == "baa1" then

		elseif objectName == "baan" then

		elseif objectName == "bba1" then

		elseif objectName == "bban" then

		elseif objectName == "bda1" then

		elseif objectName == "bdan" then

		elseif objectName == "bean" then

		elseif objectName == "bla1" then

		elseif objectName == "bma1" then

		elseif objectName == "bna1" then

		elseif objectName == "boa1" then

		elseif objectName == "boan" then

		elseif objectName == "bva1" then

		elseif objectName == "bza1" then

		elseif objectName == "bzan" then

		end
	end 

-- DAY2
	if ETAT_DAY == "D2" then 

	end 

-- DAY3
	if ETAT_DAY == "D3" then 

	end 

-- DAY4
	if ETAT_DAY == "D4" then 

	end 

-- DAY5
	if ETAT_DAY == "D5" then 

	end 
end
